# BtfyClient

A Ruby wrapper for [Btfy - link shortener for creators](https://btfy.io)

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'btfy_client'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install btfy_client

## Usage

```
# Ruby
client = BtfyClient.new(
  host: "https://btfy.io",
  api_token: "your api token",
)

# Rails (in your initializer)
BtfyClient.configure do |config|
  config.host = "https://btfy.io"
  config.api_token = "your api token"
end

response = client.create_link(
  destination_url: "the link you want to shorten",
  name: "name of link (this is optional)",
  slug: "also optional",
)
response.link # BtfyClient::Link
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rspec spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/MarkFChavez/btfy_client. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [code of conduct](https://github.com/MarkFChavez/btfy_client/blob/master/CODE_OF_CONDUCT.md).


## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the BtfyClient project's codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/MarkFChavez/btfy_client/blob/master/CODE_OF_CONDUCT.md).
